library scale_size;

import 'package:flutter/widgets.dart';

class ScaleSize {
  static double statusBarHeight = 0;
  static double navigationBarHeight = 0;
  static double screenWidth = 0;
  static double screenHeight = 0;
  static double designWidth = 0;

  static void init(BuildContext context, {double designWidth = 0}) {
    ScaleSize.designWidth = designWidth;
    if (screenWidth != null && screenWidth > 0) {
      return;
    }
    MediaQueryData mediaQueryData = MediaQuery.of(context);
    statusBarHeight = mediaQueryData.padding.top;
    navigationBarHeight = mediaQueryData.padding.bottom;
    screenWidth = mediaQueryData.size.width;
    screenHeight = mediaQueryData.size.height;
  }

  static double get(double size, {double designWidth = 0}) {
    if (designWidth == 0 && ScaleSize.designWidth == 0) {
      return 0;
    }
    return size * ScaleSize.screenWidth / (designWidth == 0 ? ScaleSize.designWidth : designWidth);
  }
}
